org.bdgenomics.adam.sql

# Feature

###
Related Docs: object Feature | package sql

#### case class Feature(featureId: Option[String] = None, sampleId: Option[String] = None, name: Option[String] = None, source: Option[String] = None, featureType: Option[String] = None, referenceName: Option[String] = None, start: Option[Long] = None, end: Option[Long] = None, strand: Option[String] = None, phase: Option[Int] = None, frame: Option[Int] = None, score: Option[Double] = None, geneId: Option[String] = None, transcriptId: Option[String] = None, exonId: Option[String] = None, aliases: Seq[String] = Seq(), parentIds: Seq[String] = Seq(), target: Option[String] = None, gap: Option[String] = None, derivesFrom: Option[String] = None, notes: Seq[String] = Seq(), dbxrefs: Seq[Dbxref] = Seq(), ontologyTerms: Seq[OntologyTerm] = Seq(), circular: Option[Boolean] = None, attributes: Map[String, String] = Map()) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Feature
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Feature(featureId: Option[String] = None, sampleId: Option[String] = None, name: Option[String] = None, source: Option[String] = None, featureType: Option[String] = None, referenceName: Option[String] = None, start: Option[Long] = None, end: Option[Long] = None, strand: Option[String] = None, phase: Option[Int] = None, frame: Option[Int] = None, score: Option[Double] = None, geneId: Option[String] = None, transcriptId: Option[String] = None, exonId: Option[String] = None, aliases: Seq[String] = Seq(), parentIds: Seq[String] = Seq(), target: Option[String] = None, gap: Option[String] = None, derivesFrom: Option[String] = None, notes: Seq[String] = Seq(), dbxrefs: Seq[Dbxref] = Seq(), ontologyTerms: Seq[OntologyTerm] = Seq(), circular: Option[Boolean] = None, attributes: Map[String, String] = Map())

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val aliases: Seq[String]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### val attributes: Map[String, String]

7. #### def canEqual(that: Any): Boolean

   Definition Classes
     Feature → Equals

8. #### val circular: Option[Boolean]

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### val dbxrefs: Seq[Dbxref]

11. #### val derivesFrom: Option[String]

12. #### val end: Option[Long]

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### val exonId: Option[String]

15. #### val featureId: Option[String]

16. #### val featureType: Option[String]

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### val frame: Option[Int]

19. #### val gap: Option[String]

20. #### val geneId: Option[String]

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### val name: Option[String]

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### val notes: Seq[String]

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### val ontologyTerms: Seq[OntologyTerm]

29. #### val parentIds: Seq[String]

30. #### val phase: Option[Int]

31. #### def productArity: Int

    Definition Classes
      Feature → Product

32. #### def productElement(i: Int): Any

    Definition Classes
      Feature → Product

33. #### val referenceName: Option[String]

34. #### val sampleId: Option[String]

35. #### val score: Option[Double]

36. #### val source: Option[String]

37. #### val start: Option[Long]

38. #### val strand: Option[String]

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### val target: Option[String]

41. #### def toAvro: formats.avro.Feature

42. #### val transcriptId: Option[String]

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped